context = window
MIX_MODES = context.JK.MIX_MODES

@MasterPersonalMixersMixin = {

  mixer: () ->
    if @props.mode == MIX_MODES.MASTER
      @props.mixers['master'].mixer
    else
      @props.mixers['personal'].mixer

  mixers: () ->
    if @props.mode == MIX_MODES.MASTER
      masterMixers = @props.mixers['master']
      masterMixers.oppositeMixer = @props.mixers['personal']?.mixer
      masterMixers
    else
      personalMixers = @props.mixers['personal']
      personalMixers.oppositeMixer = @props.mixers['master']?.mixer
      personalMixers
}